FreedomPop Sim card not supported on my Sprint iPhone 8

Completed

Comments

1 comment

  • FreedomPop Community

    Hello Julia Rhodes!

    Thanks for reaching out. We apologize for the delay in our response, we'll be glad to take a closer look into this for you.

    Please be advised that in order for your SIM card to work properly, your phone needs to be GSM unlocked and running Android 4.3+ or iOS 8.2+. Check out this link for more information.

    Should you have doubts or questions, please feel free to reply to this message and we'll be more than happy to help you. 

    0
    Comment actions Permalink

Post is closed for comments.